Dia
ਇੰਟੀਗ੍ਰੇਟ ਕਰੋ
dia-tts
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/dia-tts?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"text": "Hello from Doitong. This is a short test sentence."
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/dia-tts?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"text": "Hello from Doitong. This is a short test sentence."
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"text": "Hello from Doitong. This is a short test sentence.",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/dia-tts", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/pa/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "dia-tts",
"input": {
"text": "Hello from Doitong. This is a short test sentence."
}
}
Doitong API ਰਾਹੀਂ Dia ਮਾਡਲ (dia-tts) ਨੂੰ ਕਾਲ ਕਰੋ। ਏਜੰਟਾਂ ਲਈ ਦਸਤਾਵੇਜ਼: https://doitong.com/pa/developers/models/dia-tts.md
POST https://api.doitong.ru/v1/run/dia-tts?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"text": "Hello from Doitong. This is a short test sentence."
}
ਜੇ ਜਵਾਬ ਦੀ ਸਥਿਤੀ "queued" ਜਾਂ "running" ਹੈ, ਤਾਂ GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 ਨੂੰ ਉਦੋਂ ਤੱਕ ਪੋਲ ਕਰੋ ਜਦੋਂ ਤੱਕ ਇਹ "succeeded" ਨਾ ਹੋ ਜਾਵੇ; ਫ਼ਾਈਲਾਂ outputs[].url ਵਿੱਚ ਹਨ। ਉਸੇ ਬਾਡੀ ਨਾਲ POST https://api.doitong.ru/v1/quote/dia-tts ਚਲਾਉਣ ’ਤੇ ਰਨ ਤੋਂ ਪਹਿਲਾਂ ਸਹੀ ਕੀਮਤ ਮਿਲ ਜਾਂਦੀ ਹੈ।
ਇਹ ਬੇਨਤੀ: $0.002 2 API ਕ੍ਰੈਡਿਟ · ≈ ₽0.21 ਇਸ ਪੰਨੇ ’ਤੇ ਚਲਾਓ
ਤੁਹਾਡੀ ਨਵੀਂ API ਕੁੰਜੀ। ਇਹ ਸਿਰਫ਼ ਹੁਣ ਦਿਖਾਈ ਜਾਂਦੀ ਹੈ ਅਤੇ ਪਹਿਲਾਂ ਹੀ ਕੋਡ ਅਤੇ ਹੇਠਾਂ ਦਿੱਤੇ API ਕੁੰਜੀ ਖੇਤਰ ਵਿੱਚ ਮੌਜੂਦ ਹੈ। ਇਸਨੂੰ ਗੁਪਤ ਰੱਖੋ: ਇਸਨੂੰ ਕਦੇ ਵੀ ਬ੍ਰਾਊਜ਼ਰ ਵਿੱਚ ਚੱਲਣ ਵਾਲੇ ਕੋਡ ਵਿੱਚ ਨਾ ਰੱਖੋ।
ਤੁਹਾਡਾ ਪਹਿਲਾ ਨਤੀਜਾ ਇੱਥੇ ਹੋਵੇਗਾ
ਹੇਠਾਂ ਬੇਨਤੀ ਬਣਾਓ ਅਤੇ ਆਪਣੀ API ਕੁੰਜੀ ਨਾਲ ਚਲਾਓ। ਆਉਟਪੁੱਟ ਸਾਡੇ ਸਟੋਰੇਜ ਵਿੱਚ ਕਾਪੀ ਕੀਤੇ ਜਾਂਦੇ ਹਨ ਅਤੇ ਹਮੇਸ਼ਾ ਲਈ ਜਾਂ ਮੁਫ਼ਤ ਵਿੱਚ 7 ਦਿਨ ਤੱਕ ਰੱਖੇ ਜਾਂਦੇ ਹਨ।
ਰਿਕਵੈਸਟ ਬਣਾਓ
ਕੰਟਰੋਲ ਮਾਡਲ ਸਕੀਮਾ ਤੋਂ ਤਿਆਰ ਹੁੰਦੇ ਹਨ। ਤੁਸੀਂ ਬਦਲਾਅ ਕਰਦੇ ਹੀ ਕੋਡ ਅਤੇ ਕੀਮਤ ਅੱਪਡੇਟ ਹੋ ਜਾਂਦੇ ਹਨ।
/run/dia-tts?wait=20
ਕੋਟ → $0.002
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/dia-tts?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"text": "Hello from Doitong. This is a short test sentence."
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/dia-tts?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"text": "Hello from Doitong. This is a short test sentence."
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"text": "Hello from Doitong. This is a short test sentence.",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/dia-tts", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "dia-tts",
"input": {
"text": "Hello from Doitong. This is a short test sentence."
},
"wait_seconds": 20
}
}
}
ਇਹ ਬੇਨਤੀ ਚਲਾਓ
ਤੁਹਾਡੀ key ਇਸ ਬ੍ਰਾਊਜ਼ਰ ਵਿੱਚ ਰਹਿੰਦੀ ਹੈ: ਇਹ ਸਿਰਫ਼ Doitong API ਨੂੰ ਭੇਜੀ ਜਾਂਦੀ ਹੈ ਅਤੇ ਸਿਰਫ਼ ਤਾਂ ਹੀ (localStorage) ਵਿੱਚ ਸੁਰੱਖਿਅਤ ਹੁੰਦੀ ਹੈ ਜੇ ਤੁਸੀਂ Remember ਚੁਣੋ। API ਕੁੰਜੀ ਪ੍ਰਾਪਤ ਕਰੋ
Dia ਬਾਰੇ
ਟ੍ਰਾਂਸਕ੍ਰਿਪਟ ਤੋਂ ਬੋਲਿਆ ਗਿਆ ਸੰਵਾਦ ਸਿਰਜਦਾ ਹੈ। ਇਕੱਲਾ ਇਨਪੁੱਟ `text` ਹੈ, ਇਸ ਲਈ ਇਹ ਵਾਧੂ ਸੈਟਿੰਗਾਂ ਤੋਂ ਬਿਨਾਂ ਤੇਜ਼ ਵਾਰਤਾਲਾਪੀ ਆਡੀਓ ਲਈ ਉਚਿਤ ਹੈ। ਆਉਟਪੁੱਟ ਵਿੱਚ ਹਾਸੇ ਵਰਗੀਆਂ ਗੈਰ-ਮੌਖਿਕ ਧੁਨੀਆਂ ਸਿਰਜ ਸਕਦਾ ਹੈ। ਨਤੀਜਾ ਇੱਕ ਆਡੀਓ ਫ਼ਾਈਲ ਹੁੰਦਾ ਹੈ।
ਪੈਰਾਮੀਟਰ
textਲੋੜੀਂਦਾ
ਆਉਟਪੁੱਟ
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "dia-tts",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 2,
"usd": "0.002",
"charged": 2,
"refunded": 0
},
"input": {
"text": "Hello from Doitong. This is a short test sentence."
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
}
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ਆਉਟਪੁੱਟ ਦੇ ਫ਼ੀਲਡ
- audio
- object {url, content_type, file_name, file_size}ਸਿੰਥੇਸਾਈਜ਼ ਕੀਤੀ ਆਵਾਜ਼ ਵਾਲਾ ਆਡੀਓ।
ਹੋਰ Dia TTS ਵੈਰੀਐਂਟ
ਹੋਰ ਮਾਡਲ: ਟੈਕਸਟ ਤੋਂ ਬੋਲੀ
AI ਏਜੰਟਾਂ ਲਈ: ਇਹ ਪੰਨਾ Markdown ਵਜੋਂ ਇੱਥੇ ਹੈ https://doitong.com/pa/developers/models/dia-tts.md. ਸਾਰੇ ਮਾਡਲ ਅਤੇ ਗਾਈਡ: https://doitong.com/developers/llms.txt